% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/open_wd.R
\name{open_wd}
\alias{open_wd}
\title{Open working directory}
\usage{
open_wd(path = getwd(), verbose = TRUE)
}
\arguments{
\item{path}{Directory path to be opened. By default it's the working directory. 
'wav.path' set by \code{\link{warbleR_options}} is ignored in this case.}

\item{verbose}{Logical to control whether the 'path' is printed in the console.}
}
\description{
\code{open_wd} opens the working directory in the default file browser.
}
\details{
The function opens the working directory using the default file browser 
and prints the working directory in the R console. This function aims to simplify
the manipulation of sound files and other files produced by many of the \code{\link{warbleR}} function.
}
\examples{
{
open_wd()
}
}
\seealso{
\code{\link{move.imgs}}

Other data manipulation: \code{\link{move.imgs}}
}
\author{
Marcelo Araya-Salas (\email{araya-salas@cornell.edu})
}
